VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisiMath.IVertex Interface Reference

interface used to access commonly used vertex data More...

Inheritance diagram for VisiMath.IVertex:

List of all members.

## Public Member Functions
IVertex | CreateNew ()
| Creates new vertex.
IVertex | CreateNew (Vector3 pos)
| Creates new vertex with specified position.
IVertexArray | CreateArray (int count)
| Creates vertex array of this vertex type with specified number of elements.
void | WriteXml (System.Xml.XmlWriter writer, string rootname)
## Properties
Vector3 | Position`[get, set]`
| Position vector.
Vector3 | Normal`[get, set]`
| Normal vector.
ColorByte | Color`[get, set]`
| Main color.
Vector2 | TexCoord2`[get, set]`
| 2d texture coordinate

## Detailed Description

interface used to access commonly used vertex data

## Member Function Documentation

IVertexArray VisiMath.IVertex.CreateArray | ( | int | count | ) |

Creates vertex array of this vertex type with specified number of elements.

Parameters:

  count | Required number of elements

Returns:
  New vertexarray of this vertex type

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

IVertex VisiMath.IVertex.CreateNew | ( | Vector3 | pos | ) |

Creates new vertex with specified position.

Parameters:

  pos | Position

Returns:
  New vertex of the same format

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

IVertex VisiMath.IVertex.CreateNew | ( |  | ) |

Creates new vertex.

Returns:
  New vertex of the same format

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

void VisiMath.IVertex.WriteXml | ( | System.Xml.XmlWriter | writer,
|  | string | rootname
| ) |  |

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

## Property Documentation

ColorByte VisiMath.IVertex.Color`[get, set]`

Main color.

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

Vector3 VisiMath.IVertex.Normal`[get, set]`

Normal vector.

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

Vector3 VisiMath.IVertex.Position`[get, set]`

Position vector.

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

Vector2 VisiMath.IVertex.TexCoord2`[get, set]`

2d texture coordinate

Implemented in VisiMath.PositionVertex, VisiMath.SimpleTexturedVertex, VisiMath.NormalVertex, VisiMath.ColoredVertex, VisiMath.ColoredNormalVertex, VisiMath.TexturedVertex, and VisiMath.Vertex.

The documentation for this interface was generated from the following file:

- Vertex.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events